Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos
Interface TicketFlags

public interface TicketFlags

An interface to a Kerberos Ticket's ticket flags, indicating which ticket options were used or requested when the ticket was issued.

The Kerberos TicketFlag structure is defined in RFC 1510 as the ASN.1

       TicketFlags :== BIT STRING {
                      reserved(0),
                      forwardable(1),
                      forwarded(2),
                      proxiable(3),
                      proxy(4),
                      may-postdate(5),
                      postdated(6),
                      invalid(7),
                      renewable(8),
                      initial(9),
                      pre-authent(10),
                      hw-authent(11),
                      transited-policy-checked(12),
                      ok-as-delegate(13)
                      anonymous(14)
       }

Field Summary
`static int` | `FORWARDABLE`
`static int` | `FORWARDED`
`static int` | `INITIAL`
`static int` | `INVALID`
`static int` | `MAY_POSTDATE`
`static int` | `POSTDATED`
`static int` | `PRE_AUTHENT`
`static int` | `PROXIABLE`
`static int` | `PROXY`
`static int` | `RENEWABLE`

Method Summary
`boolean` | `forwardable()` Returns true if the associated ticket (a TGT) can be used to obtain a new TGT with a different network address.
`boolean` | `forwarded()` Returns true if the associated ticket was either forwarded or issued based on authentication involving a forwarded TGT and false otherwise
`int` | `getIntMask()` Returns the integer mask for this TicketFlags
`boolean` | `initial()` Returns true if the associated ticket is an initial ticket (ie.
`boolean` | `invalid()` Returns true if the associated ticket is invalid (and must be validated by a KDC before use) and false otherwise
`boolean` | `mayPostdate()` Returns true if the associated ticket (a TGT) can be used to obtain a postdated ticket and false otherwise
`boolean` | `postdated()` Returns true if the associated ticket is postdated and false otherwise
`boolean` | `proxiable()` Returns true if the associated ticket (a TGT) can be used to obtain non-TGT tickets with different network addresses and false otherwise
`boolean` | `proxy()` Returns true if the associated ticket is a proxy and false otherwise
`boolean` | `renewable()` Returns true if the associated ticket is renewable and false otherwise

Field Detail

### FORWARDABLE

    public static final int FORWARDABLE

### FORWARDED

    public static final int FORWARDED

### PROXIABLE

    public static final int PROXIABLE

### PROXY

    public static final int PROXY

### MAY_POSTDATE

    public static final int MAY_POSTDATE

### POSTDATED

    public static final int POSTDATED

### INVALID

    public static final int INVALID

### RENEWABLE

    public static final int RENEWABLE

### INITIAL

    public static final int INITIAL

### PRE_AUTHENT

    public static final int PRE_AUTHENT

Method Detail

### forwardable

    public boolean forwardable()

  Returns true if the associated ticket (a TGT) can be used to obtain a new TGT with a different network address.

### forwarded

    public boolean forwarded()

  Returns true if the associated ticket was either forwarded or issued based on authentication involving a forwarded TGT and false otherwise

### proxiable

    public boolean proxiable()

  Returns true if the associated ticket (a TGT) can be used to obtain non-TGT tickets with different network addresses and false otherwise

### proxy

    public boolean proxy()

  Returns true if the associated ticket is a proxy and false otherwise

### mayPostdate

    public boolean mayPostdate()

  Returns true if the associated ticket (a TGT) can be used to obtain a postdated ticket and false otherwise

### postdated

    public boolean postdated()

  Returns true if the associated ticket is postdated and false otherwise

### invalid

    public boolean invalid()

  Returns true if the associated ticket is invalid (and must be validated by a KDC before use) and false otherwise

### renewable

    public boolean renewable()

  Returns true if the associated ticket is renewable and false otherwise

### initial

    public boolean initial()

  Returns true if the associated ticket is an initial ticket (ie. obtained from an Authentication Service rather than a Ticket Granting Service) and false otherwise

### getIntMask

    public int getIntMask()

  Returns the integer mask for this TicketFlags

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD